Subject: Re: linux-next: wireless tree build failure

From: "John W. Linville" <[email-masked]>
Date: Tue, 28 Apr 2009 08:50:00 -0400

On Tue, Apr 28, 2009 at 01:28:17PM +1000, Stephen Rothwell wrote:
> Hi John, Len,
> 
> On Wed, 22 Apr 2009 11:57:38 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next build (x86_64 allmodconfig) failed like this:
> > 
> > drivers/platform/x86/oqo-wmi.c: In function 'oqo_rfkill_init':
> > drivers/platform/x86/oqo-wmi.c:767: error: 'struct rfkill' has no member named 'user_claim_unsupported'
> > 
> > Caused by commit bc3e4095713c0bf57c8c9c1e91d93d6654075079 ("rfkill:
> > remove user_claim stuff") interacting with commit
> > 03919980ad590ad5c5c181d1bd7d58513ad170bc ("platform/x86: Add oqo-wmi
> > driver for model 2 OQO backlight and rfkill control") from the acpi tree.
> > 
> > I have reverted commit bc3e4095713c0bf57c8c9c1e91d93d6654075079 for today.
> 
> This is still happening ... is someone going to do something about it?

Sorry, I mostly forgot about it after Matthew asked for that driver
to be dropped...?

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.